import request from '../request'

// 查询企业认证申请列表
export function listCompanyInfo(query) {
  return request({
    url: '/tester/CompanyInfo/list',
    method: 'get',
    params: query
  })
}

// 查询企业认证申请详细
export function getCompanyInfo(userId) {
  return request({
    url: '/tester/CompanyInfo/' + userId,
    method: 'get'
  })
}

// 新增企业认证申请
export function addCompanyInfo(data) {
  return request({
    url: '/tester/CompanyInfo',
    method: 'post',
    data: data
  })
}

// 修改企业认证申请
export function updateCompanyInfo(data) {   
  return request({
    url: '/tester/CompanyInfo',
    method: 'put',
    data: data
  })
}

// 删除企业认证申请
export function delCompanyInfo(userId) {
  return request({
    url: '/tester/CompanyInfo/' + userId,
    method: 'delete'
  })
}

// 导出企业认证申请
export function exportCompanyInfo(query) {
  return request({
    url: '/tester/CompanyInfo/export',
    method: 'get',
    params: query
  })
}